Name: rep-gtk
Version: 0.13
Release: 3
Epoch: 1
Summary: GTK+ binding for librep Lisp environment
Requires: librep >= 0.12, gtk+ >= 1.2
Copyright: GPL
Group: Development/Languages
Source: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
Patch0: rep-gtk-0.13-broken-source.patch
URL: http://rep-gtk.sourceforge.net/
Buildroot: /%{_tmppath}/%{name}-root
BuildPrereq: libglade-devel gnome-libs-devel gdk-pixbuf-devel

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%package libglade
Summary: librep binding for the libglade library for loading user interfaces.
Group: Development/Languages
Requires: %{name}, libglade

%description libglade
This is a binding of libglade for the librep Lisp interpreter. libglade
allows applications to dynamically load XML descriptions of GTK+ widget
hierarchies. These hierarchies may be created by the GLADE GUI builder.

%package gnome
Summary: GNOME binding for librep
Group: Development/Languages
Requires: %{name}, gnome-libs, libglade

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, the GNOME Canvas architecture, and the
GNOME version of libglade.

%prep
%setup
%patch0 -p1 -b .broken

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT host_type=%{_target_platform} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.guile-gtk BUGS ChangeLog gtk-1.2.defs gdk-1.2.defs
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.so*
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.la
%{_libexecdir}/rep/%{_target_platform}/gtk.so*
%{_libexecdir}/rep/%{_target_platform}/gtk.la

%files libglade
%defattr(-,root,root)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/libglade.so*
%{_libexecdir}/rep/%{_target_platform}/libglade.la

%files gnome
%defattr(-,root,root)
%doc gnome*.defs examples/gnome-test examples/canvas-test
%{_libexecdir}/rep/%{_target_platform}/gnome*.so*
%{_libexecdir}/rep/%{_target_platform}/gnome*.la
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.so*
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.la
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.so*
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.la

%changelog
* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Matt Wilson <msw@redhat.com>
- 0.13

* Sun Jul  2 2000 Matt Wilson <msw@redhat.com>
- rep-gtk 0.12

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_target_platform}

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- librep 0.12

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.8

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- include John's REP_GTK_DONT_INITIALIZE patch

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
